MoreText.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWList.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictData.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MoreParser.hxx"`
`#include "MoreText.hxx"`

## Classes

struct | MoreTextInternal::Paragraph
| Internal: the paragraph of a MoreText. More...
struct | MoreTextInternal::Outline
| Internal: the outline data of a MoreText. More...
struct | MoreTextInternal::OutlineMod
| Internal and low level: the outline modifier header of a MoreText. More...
struct | MoreTextInternal::Comment
| Internal: the comment data of a MoreText. More...
struct | MoreTextInternal::Topic
| Internal: the topic data of a MoreText. More...
struct | MoreTextInternal::State
| Internal: the state of a MoreText. More...
class | MoreTextInternal::SubDocument
| Internal: the subdocument of a MoreText. More...

## Namespaces

namespace | MoreTextInternal
| Internal: the structures of a MoreText.

## Variables

constexpr int | MoreTextInternal::MAX_LEVEL = 1 << 10
| the maximum outline level used to size the paragraph stack